# TdApi.PublicForwards (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PublicForwards

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PublicForwards

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PublicForwards

Enclosing class:
  TdApi

public static final class TdApi.PublicForwards extends TdApi.Object
Represents a list of public forwards and reposts as a story of a message or a story.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.PublicForward[]`
`forwards`
List of found public forwards and reposts.
`String`
`nextOffset`
The offset for the next request.
`int`
`totalCount`
Approximate total number of messages and stories found.

## Constructor Summary

Constructors
Constructor
Description
`PublicForwards()`
Represents a list of public forwards and reposts as a story of a message or a story.
`PublicForwards(int totalCount, TdApi.PublicForward[] forwards, String nextOffset)`
Represents a list of public forwards and reposts as a story of a message or a story.
`PublicForwards(DataInput input)`
Represents a list of public forwards and reposts as a story of a message or a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Approximate total number of messages and stories found.

### forwards

public TdApi.PublicForward[] forwards
List of found public forwards and reposts.

### nextOffset

public String nextOffset
The offset for the next request. If empty, then there are no more results.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PublicForwards

public PublicForwards()
Represents a list of public forwards and reposts as a story of a message or a story.

### PublicForwards

public PublicForwards(int totalCount, TdApi.PublicForward[] forwards, String nextOffset)
Represents a list of public forwards and reposts as a story of a message or a story.

Parameters:
  `totalCount` - Approximate total number of messages and stories found.
  `forwards` - List of found public forwards and reposts.
  `nextOffset` - The offset for the next request. If empty, then there are no more results.

### PublicForwards

public PublicForwards(DataInput input) throws IOException
Represents a list of public forwards and reposts as a story of a message or a story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`